using System;
using System.IO;
using System.Text;
using static System.Math;


namespace HelloWorld
{
    class Program
    {
        static void Main(string[] args)
        {
            int n=Convert.ToInt32(Console.ReadLine());
            List<int> x=new List<int>(n);
            List<int> y = new List<int>(n);
            List<int> z= new List<int>(n);
            List<int>  z2=new List<int>(n);
            int br = 0;
            for(int i=0; i<n; i++)
            {
                int a= Convert.ToInt32(Console.ReadLine());
                x.Add(a);

            }
            for (int i = 0; i < n; i++)
            {
                int b = Convert.ToInt32(Console.ReadLine());
                y.Add(b);

            }
            for (int i = 0; i < n; i++)
            {
                int c = Convert.ToInt32(Console.ReadLine());
                z.Add(c);

            }
            for(int i = 0; i < n; i++)
            {
                for(int j = 0; j < n; j++)
                {
                    if(x[i] == y[j])
                    {
                        z2.Add(j + 1);
                      
                    }
                

                }
            }
            foreach (int l in z2)
            {

                for (int k = 0; k < n; k++)
                {

                    if (l == z[k]) br++;

                }
            }
           
            Console.WriteLine(br);
            Console.ReadKey();

           


        }
    }
}